# frozen_string_literal: true

module Lexicorn
  module UrlBuilder
    require 'net/http'
    require 'json'

    BASE = 'https://www.dictionaryapi.com/api/v3/references/collegiate/json/'

    module_function

    def build(word:, api_key:)
      "#{BASE}#{word}?key=#{api_key}"
    end
  end
end
